curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>"
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload = {
"userName": "<string>",
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": True
}
],
"active": True,
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
schemas: ['urn:ietf:params:scim:schemas:core:2.0:User'],
name: {givenName: '<string>', familyName: '<string>'},
emails: [{value: '<string>', primary: true}],
active: true,
externalId: '<string>'
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>",
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Replace user
Replaces all attributes of an existing user with the supplied representation.
Authorizations
SCIM bearer token issued from your Cube Cloud account settings.
Path Parameters
The unique SCIM identifier of the resource.
Body
A SCIM 2.0 core User resource.
Unique identifier for the user, typically their email address.
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the user is active. Set to false to deactivate.
Identifier of the user as defined by the provisioning client.
Response
The updated user.
A SCIM 2.0 core User resource.
Unique identifier for the user, typically their email address.
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
Unique identifier assigned by Cube Cloud. Read-only.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the user is active. Set to false to deactivate.
Identifier of the user as defined by the provisioning client.
Show child attributes
Show child attributes